ChartDirector Ver 5.0 (PHP Edition)

DrawArea.surface

Usage

surface(x1, y1, x2, y2, depthX, depthY, edgeColor, fillColor)

Description

Draws a parallelogram.

Arguments

Argument | Default | Description
--- | --- | ---
x1 | (Mandatory) | The x coordinate of the first end-point of one line of the parallelogram.
y1 | (Mandatory) | The y coordinate of the first end-point of one line of the parallelogram.
x2 | (Mandatory) | The x coordinate of the second end-point of one line of the parallelogram.
y2 | (Mandatory) | The y coordinate of the second end-point of one line of the parallelogram.
depthX | (Mandatory) | The x displacement of the line segment that is parallel to the line segment above.
depthY | (Mandatory) | The y displacement of the line segment that is parallel to the line segment above.
edgeColor | (Mandatory) | The border color. To disable border, set the edgeColor the same as the fillColor.
fillColor | (Mandatory) | The fill color. To disable filling, set the fillColor to Transparent.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.